> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-1 B2CL

> Get all B2C Large invoices for a return period for authenticated taxpayer

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-1/documents/b2cl.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/b2cl/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-1/b2cl/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-1 Documents
      summary: GSTR-1 B2CL
      description: "Get all B2C Large invoices for a return period for authenticated taxpayer\r\n\r\n"
      operationId: getGstr1B2cl
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: state_code
          in: query
          description: '`optional` State code'
          required: false
          schema:
            type: string
            example: '{{state_code}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: RET11416 No data found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: RET11416
                          message:
                            type: string
                            example: >-
                              No document found in selected financial year.
                              Either this document exists in a different
                              financial year or the document number is
                              incorrect.
                      status_cd:
                        type: string
                        example: '0'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: dad42e2d-0156-4e8c-8c85-ea8c4cde30e3
              examples:
                RET11416 No data found:
                  summary: RET11416 No data found
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: RET11416
                        message: >-
                          No document found in selected financial year. Either
                          this document exists in a different financial year or
                          the document number is incorrect.
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: dad42e2d-0156-4e8c-8c85-ea8c4cde30e3
          headers: {}
      deprecated: false
      security: []

````